Subject: [apps-discuss] Schema nit in p2psip service discovery (fwd)

From: Claudio Allocchio <[email-masked]>
Date: Wed, 22 Jan 2014 10:33:22 +0100 (CET)

Date: Wed, 22 Jan 2014 07:14:17 +0100
From: Martin Thomson <[email-masked]>
To: [email-masked],
     [email-masked],
     Claudio Allocchio <[email-masked]>
Subject: Schema nit in p2psip service discovery

The schema seems to use a "please copy and paste this code into this
other document" pattern, which isn't really necessary.  I'm not
actually an expert in relaxNG, so I can't remember the exact way to do
this, but you can - and should - either import the base reload schema
in order to modify 'parameter', or maybe it's sufficient to simply
name it properly by setting the namespace prefix.

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 22 Jan 2014 10:55:52 +0100

> name it properly by setting the namespace prefix.

It seems to me that the schema extension is fine (haven’t thrown tools at it, though).

It is all of:

   namespace redir = "urn:ietf:params:xml:ns:p2p:service-discovery"

   parameter &= element redir:branching-factor { xsd:unsignedInt }

To make this into a complete schema, you would have to prepend a third line:

   include “foo://bar/original-schema.rnc”

(That schema doesn’t seem to have a name; maybe it should be given one.)

Grüße, Carsten

---

From: Claudio Allocchio <[email-masked]>
Date: Wed, 22 Jan 2014 12:25:39 +0100 (CET)

> On 22 Jan 2014, at 10:33, Claudio Allocchio <[email-masked]> wrote:

BTW: I just forwarded Martin's message, which was not sent to the whole 
list ;-)

> (That schema doesn’t seem to have a name; maybe it should be given one.)

------------------------------------------------------------------------------
Claudio Allocchio             G   A   R   R          [email-masked]
                         Senior Technical Officer
tel: +39 040 3758523      Italian Academic and       G=Claudio; S=Allocchio;
fax: +39 040 3758565        Research Network         P=garr; A=garr; C=it;

            PGP Key: http://www.cert.garr.it/PGP/keys.php3#ca